diff --git a/scripts/patch.sh b/scripts/patch.sh
index 0e431b3983e1ae1c91d3c1577fc3a0bd443bbeba..fbaebd7e8a915920f24158070c51b08e13ecbace 100755
--- a/scripts/patch.sh
+++ b/scripts/patch.sh
@@ -9,13 +9,14 @@ for module in $GLUON_MODULES; do
 	dir="$1"/$module
 	git -C $dir checkout -B patching base
 
-	if [ -z "$1"/patches/$module/*.patch ]; then continue; fi
-	git -C "$dir" am "$1"/patches/$module/*.patch || (
-		git -C "$dir" am --abort
-		git -C "$dir" checkout patched
-		git -C "$dir" branch -D patching
-		false
-	)
+	if [ "$1"/patches/$module/*.patch ]; then
+		git -C "$dir" am "$1"/patches/$module/*.patch || (
+			git -C "$dir" am --abort
+			git -C "$dir" checkout patched
+			git -C "$dir" branch -D patching
+			false
+		)
+	fi
 	git -C "$dir" checkout -B patched
 	git -C "$dir" branch -d patching
 done